# Transaction Count

## Contents

* ETF Tx Cnt (TxEtfCnt)

## ETF Tx Cnt <a href="#txexcnt" id="txexcnt"></a>

### Definition

The sum count of transactions that involved any address belonging to an exchange, as a sender or recipient of a non-zero transfer of native units, in that interval. If a transaction involves multiple exchanges, it is only counted once.

| Name                        | ID       | Unit         | Interval |
| --------------------------- | -------- | ------------ | -------- |
| Exchange Traded Fund Tx Cnt | TxEtfCnt | Transactions | 1 day    |

### Details

* Coinbase (i.e., miner reward) transactions are not counted.
* Only ETFs and their addresses that Coin Metrics has identified are included so this metric should be thought of as a minimum potential value.

### Availability for Assets

{% embed url="<https://coverage.coinmetrics.io/asset-metrics-v2/TxEtfCnt>" %}

## API Endpoints

Exchange Transaction Count metrics can be accessed using these endpoints:

* `timeseries/asset-metrics`

and by passing in the metric ID's `TxEtfCnt` in the `metrics` parameter.

{% tabs %}
{% tab title="Shell" %}

```shell
curl --compressed "https://api.coinmetrics.io/v4/timeseries/asset-metrics?metrics=TxEtfCnt&assets=btc&pretty=true&api_key=<your_key>"
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
response = requests.get('https://api.coinmetrics.io/v4/timeseries/asset-metrics?metrics=TxEtfCnt&assets=btc&pretty=true&api_key=<your_key>').json()
print(response)
```

{% endtab %}

{% tab title="Python Client" %}

```python
from coinmetrics.api_client import CoinMetricsClient

api_key = "<API_KEY>"
client = CoinMetricsClient(api_key)

print(
    client.get_asset_metrics(
        metrics="TxEtfCnt", 
        assets="btc",
    ).to_dataframe()
)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://gitbook-docs.coinmetrics.io/network-data/network-data-overview/exchange-traded-fund/transaction-count.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
